Magellan Linux

Diff of /trunk/installer-simple/bin/installer.sh.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 2438 by niro, Tue Jan 7 14:30:19 2014 UTC revision 2484 by niro, Wed Jan 8 10:38:40 2014 UTC
# Line 7  Line 7 
7  # Niels Rogalla <niro@magellan-linux.de>  # Niels Rogalla <niro@magellan-linux.de>
8  #  #
9    
10  # ignore the environment  # setup locales
11  LC_ALL=C  TEXTDOMAIN=installer
12    LC_MESSAGES=C
13    
14  # include dir  # include dir
15  INSTALLER_LIBDIR="%LIBDIR%"  INSTALLER_LIBDIR="%LIBDIR%"
16    
# Line 70  SPECIALDEVICE="" Line 72  SPECIALDEVICE=""
72  FORMFACTOR="${DEFAULT_FORMFACTOR}"  FORMFACTOR="${DEFAULT_FORMFACTOR}"
73  FORMAT_FILESYSTEM="${DEFAULT_FILESYSTEM}"  FORMAT_FILESYSTEM="${DEFAULT_FILESYSTEM}"
74    
75  #################################################  
76  #  DIALOG BOXEN #  ### helper scripts ###
 #################################################  
77    
78  trap_exit()  trap_exit()
79  {  {
# Line 86  trap_exit() Line 87  trap_exit()
87   exit 1   exit 1
88  }  }
89    
 dialog_die()  
 {  
  ERROR="$1"  
  RETVAL="$?"  
  dialog_install_failure  
  exit 1  
 }  
   
 dialog_warning()  
 {  
  local retval  
   
  yesnobox $"\Z1 !!! Warning !!! \Zn\n\n\This harddrive will be irreversibly erased.\n\n\Do you want to continue ?"  
  retval=$?  
  if [[ ${retval} -eq 1 ]]  
  then  
  clear  
  echo $"The process was aborted."  
  exit 1  
  fi  
 }  
   
 dialog_setup_hdd_info()  
 {  
  local SHDD="${HDD//\/dev\/}"  
   
  messagebox -h $"[ Harddrive partitioning ]" \  
  $"\nPlease create 1 partition.\n\n\[ \Z3${SHDD}1\Zn ] type: \Z3linux\Zn with the whole diskspace\n\Please mark ${SHDD}1 \Z3bootable\Zn."  
 }  
   
 dialog_setup_hdd_info_auto()  
 {  
  local SHDD="${HDD//\/dev\/}"  
   
  messagebox -h $"[ Harddrive partitioning ]" \  
  $"\Z1Warning!\Zn\n\nAll data on disk [ \Z3${HDD}\Zn ] will be erased!"  
 }  
   
 dialog_setup_system_menu()  
 {  
  local mode  
  local retval  
   
  mode=$(menubox -h $"[ Harddrive partitioning ]" $"\nSelect an installation mode" \  
  $"1:Automatic setup (recommended)" \  
  ":" \  
  $":\Z1Expert modes:\Zn" \  
  $"2:Common IDE-disk (manual setup)")  
  retval=$?  
  [[ ${retval} -eq 1 ]] && return 1  
  if [[ ${retval} -eq 0 ]]  
  then  
  case "${mode}" in  
  "1") run_install_auto ;;  
  "2") run_install_normal ;;  
  "") dialog_setup_system_menu;;  
  esac  
  fi  
 }  
   
 dialog_hardware_detection()  
 {  
  local message  
   
  run_hardware_detection_disks  
   
  message+=$"Harddrives:\n"  
   
  if [[ ! -z ${ALL_DISKS} ]]  
  then  
  for i in ${ALL_DISKS}  
  do  
  message+="\Z3${i}\Zn "  
  done  
  message+="\n"  
  fi  
   
  if [[ ! -z ${ALL_CDROMS} ]]  
  then  
  message+="\n"  
  message+=$"Optical disk drives:\n"  
  for i in ${ALL_CDROMS}  
  do  
  message+="\Z3${i}\Zn"  
  done  
  message+="\n"  
  fi  
   
  # other devices  
  run_hardware_detection  
  case "${SPECIALDEVICE}" in  
  zotac*) message+=$"\n\Z2Zotac device detected.\Zn" ;;  
  rangee) message+=$"\n\Z2Rangee device detected.\Zn" ;;  
  maxdata) message+=$"\n\Z2Maxdata device detected.\Zn" ;;  
  *) message+=$"\n \\ZnCommon device detected.\Zn" ;;  
  esac  
  if [[ ${FORMFACTOR} = laptop ]]  
  then  
  message+=$"\n\ZnFormfactor Laptop, activating 'ondemand' powersaving  mode.\Zn"  
  fi  
   
  messagebox -y 15 -h $"Detected hardware:" "${message}"  
 }  
   
 dialog_setup_hdd_partitions_manual()  
 {  
  local i  
  local retval  
   
  if [[ -z ${ALL_DISKS} ]]  
  then  
  dialog_no_harddrive_found  
  exit 1  
  else  
  HDD=$(dialog_select_target_harddrive)  
  retval=$?  
  [[ ${retval} -eq 1 ]] && return 1  
  if [[ ${retval} -eq 0 ]]  
  then  
  dialog_setup_hdd_info  
  setup_hdd_partitions_manual  
  fi  
  fi  
 }  
   
 dialog_setup_hdd_partitions_auto()  
 {  
  local i  
  local retval  
   
  if [[ -z ${ALL_DISKS} ]]  
  then  
  dialog_no_harddrive_found  
  exit 1  
  else  
  HDD=$(dialog_select_target_harddrive)  
  retval=$?  
  [[ ${retval} -eq 1 ]] && return 1  
  if [[ ${retval} -eq 0 ]]  
  then  
  dialog_setup_hdd_info_auto  
  dialog_setup_hdd_create_partitions  
  setup_hdd_partitions_auto  
  fi  
  fi  
 }  
   
90  install_meter()  install_meter()
91  {  {
92   while [[ ${CURRENTLINE} != ${TOTALLINES} ]]   while [[ ${CURRENTLINE} != ${TOTALLINES} ]]
# Line 246  install_meter() Line 100  install_meter()
100   return 0   return 0
101  }  }
102    
103  dialog_main()  install_mount_rootfs()
104  {  {
105   local method=0   is_mounted --location "${INSTALLROOT}" || mount "${ROOTHDD}" "${INSTALLROOT}"
106   local retval   install -d ${INSTALLROOT}/boot || dialog_die
107    }
108    
109   while [[ ${method} -le 2 ]]  install_umount_rootfs()
110   do  {
111   method=$(menubox $"Configuration:" \   is_mounted --location ${INSTALLROOT}/boot && umount ${INSTALLROOT}/boot
112   $"1:Install system" \   is_mounted --location ${INSTALLROOT} && umount ${INSTALLROOT}
113   $"2:Show detected harddrives" \  }
114   $"3:Exit and reboot" \  
115   $"4:Exit and drop into a shell")  install_do_reboot()
116   retval=$?  {
117   [[ ${retval} -eq 1 ]] && exit 1   reboot
  if [[ ${retval} -eq 0 ]]  
  then  
  case ${method} in  
  "1") dialog_setup_system_menu ;;  
  "2") dialog_hardware_detection ;;  
  "3") install_do_reboot ;;  
  "4") /bin/bash --login -i ;;  
  esac  
  fi  
  done  
118  }  }
119    
 #################################################  
 # Install Komandos #  
 #################################################  
120  run_hardware_detection()  run_hardware_detection()
121  {  {
122   local hwinfo   local hwinfo
# Line 348  run_hardware_detection_disks() Line 190  run_hardware_detection_disks()
190   export ALL_CDROMS="$(get_hwinfo cdrom)"   export ALL_CDROMS="$(get_hwinfo cdrom)"
191  }  }
192    
 hdd_size_below_256mb()  
 {  
  local hdd="$1"  
  local size  
  local retval  
  [[ -z ${hdd} ]] && dialog_die "Error: get_hdd_size() no \$hdd given!"  
   
  size=$(fdisk -l ${hdd} | grep "Disk.*${hdd}" | sed 's:.*,\ \(.*\)\ byte.*:\1:')  
  if [[ ${size} -le 257000000 ]]  
  then  
  retval="0"  
  else  
  retval="1"  
  fi  
   
  return "${retval}"  
 }  
   
193  setup_hdd_partitions_auto()  setup_hdd_partitions_auto()
194  {  {
195   ROOTHDD="${HDD}1"   ROOTHDD="${HDD}1"
# Line 455  setup_hdd_format() Line 279  setup_hdd_format()
279   mkfs."${FORMAT_FILESYSTEM}" -q "${ROOTHDD}" || dialog_die   mkfs."${FORMAT_FILESYSTEM}" -q "${ROOTHDD}" || dialog_die
280  }  }
281    
 install_mount_rootfs()  
 {  
  is_mounted --location "${INSTALLROOT}" || mount "${ROOTHDD}" "${INSTALLROOT}"  
  install -d ${INSTALLROOT}/boot || dialog_die  
 }  
   
282  install_system_image()  install_system_image()
283  {  {
284   pushd ${INSTALLROOT} > /dev/null   pushd ${INSTALLROOT} > /dev/null
# Line 468  install_system_image() Line 286  install_system_image()
286   popd > /dev/null   popd > /dev/null
287  }  }
288    
289  install_bootsector_chroot()  install_system_settings()
290  {  {
291   local my_roothdd   local CONFIG
  local grubconf=${INSTALLROOT}/boot/grub/grub.conf  
  local grub2conf=/boot/grub/grub.cfg  
292    
293   # check for grub2   # write fstab
294   if [[ -f ${INSTALLROOT}/sbin/grub-mkconfig ]]   CONFIG="${INSTALLROOT}/etc/fstab"
295     clearconfig
296     addconfig -e "UUID=$(get_uuid ${ROOTHDD})\t/\t${FORMAT_FILESYSTEM}\tnoatime,noauto\t1 1"
297     addconfig -e "proc\t/proc\tproc\tdefaults\t0 0"
298     addconfig -e "shm\t/dev/shm\ttmpfs\tdefaults\t0 0"
299    
300     # install network config skeleton
301     CONFIG="${INSTALLROOT}/etc/conf.d/net.eth0"
302     clearconfig
303     addconfig 'ONBOOT="yes"'
304     addconfig 'NETWORKING="dhcp"'
305    
306     # intel framebuffer quirk
307     if [ -e ${INSTALLROOT}/etc/splash/splash.conf ]
308   then   then
309   # needed by grub-mkconfig on the first run   if [ -e /proc/fb ]
  if [[ ! -f ${INSTALLROOT}/boot/grub/video.lst ]]  
310   then   then
311   install -m0644 ${INSTALLROOT}/lib/grub/*/video.lst ${INSTALLROOT}/boot/grub/video.lst || dialog_die   if [[ ! -z $(grep 'inteldrmfb' /proc/fb) ]]
312     then
313     fbdev=$(grep 'inteldrmfb' /proc/fb | sed 's:\([0-9]\).*:\1:')
314     if [[ ${fbdev} != 0 ]]
315     then
316     sed -i "s:^\(SPLASH_DEV=\).*:\1\"/dev/fb${fbdev}\":" ${INSTALLROOT}/etc/splash/splash.conf || dialog_die
317     fi
318     fi
319   fi   fi
320     fi
321    }
322    
  # set kernelopts  
  if [[ -f ${INSTALLROOT}/etc/conf.d/grub ]]  
  then  
  sed -i "s:^\(export GRUB_CMDLINE_LINUX_DEFAULT=\).*:\1\"${KERNELOPTS}\":" ${INSTALLROOT}/etc/conf.d/grub || dialog_die  
  else  
  echo "export GRUB_CMDLINE_LINUX_DEFAULT=\"${KERNELOPTS}\"" >  ${INSTALLROOT}/etc/conf.d/grub || dialog_die  
  fi  
  echo 'grub-mkdevicemap' > ${INSTALLROOT}/root/.installrc || dialog_die  
  echo "LC_ALL=C grub-mkconfig -o ${grub2conf}  &> /dev/null" >> ${INSTALLROOT}/root/.installrc || dialog_die  
  echo "grub-install --no-floppy ${HDD} &> /dev/null" >> ${INSTALLROOT}/root/.installrc || dialog_die  
  echo "exit 0" >> ${INSTALLROOT}/root/.installrc || dialog_die  
323    
324   # grub-legacy  ### installer dialogs ###
  else  
  ### grubconf schreiben  
  source ${INSTALLROOT}/boot/kernelversion  
325    
326   #for alx only  dialog_die()
327   if [ -e ${INSTALLROOT}/etc/alx_version ]  {
328   then   ERROR="$1"
329   OLD_ALXVER="${ALXVER}"   RETVAL="$?"
330   source ${INSTALLROOT}/etc/alx_version   dialog_install_failure
331   KRNVER="ALX-${ALXVER}"   exit 1
332   ALXVER="${OLD_ALXVER}"  }
  fi  
333    
334   [[ -z ${KRNVER} ]] && KRNVER="AutoSta_LX"  dialog_warning()
335   [[ -z ${KRNINITRD} ]] && KRNINITRD="initrd"  {
336   [[ -z ${KRNIMG} ]] && KRNIMG="vmlinuz"   local retval
337    
338   # uuid support   yesnobox $"\Z1 !!! Warning !!! \Zn\n\n\This harddrive will be irreversibly erased.\n\n\Do you want to continue ?"
339   if is_uuid_supported   retval=$?
340   then   if [[ ${retval} -eq 1 ]]
341   my_roothdd="UUID=$(get_uuid ${ROOTHDD})"   then
342   else   clear
343   my_roothdd="${ROOTHDD}"   echo $"The process was aborted."
344   fi   exit 1
345     fi
346    }
347    
  : > ${grubconf} || dialog_die  
  echo "default 0" >> ${grubconf} || dialog_die  
  echo "timeout 3" >> ${grubconf} || dialog_die  
  # using current root password  
  echo "password --md5 $(cat ${INSTALLROOT}/etc/shadow | grep root | cut -d: -f2)"  >> ${grubconf} || dialog_die  
   
  echo  >> ${grubconf} || dialog_die  
  echo "# normal boot" >> ${grubconf} || dialog_die  
  echo "title ${KRNVER}" >> ${grubconf} || dialog_die  
  echo "root (hd0,0)" >> ${grubconf} || dialog_die  
  echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS}" >> ${grubconf} || dialog_die  
  if is_initrd_supported  
  then  
  echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || dialog_die  
  fi  
348    
349   echo >> ${grubconf} || dialog_die  ### installer tasks ###
  echo "# admin boot" >> ${grubconf} || dialog_die  
  echo "title ${KRNVER} - Re-run hardware-detection" >> ${grubconf} || dialog_die  
  echo "lock"  >> ${grubconf} || dialog_die  
  echo "root (hd0,0)" >> ${grubconf} || dialog_die  
  echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS} hardware-auto-detection" >> ${grubconf} || dialog_die  
  if is_initrd_supported  
  then  
  echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || dialog_die  
  fi  
350    
351   echo >> ${grubconf} || dialog_die  task_setup_system_menu()
352   echo "title ${KRNVER} - Reset *all* local settings" >> ${grubconf} || dialog_die  {
353   echo "lock"  >> ${grubconf} || dialog_die   local mode
354   echo "root (hd0,0)" >> ${grubconf} || dialog_die   local retval
  echo "kernel /boot/${KRNIMG} root=${my_roothdd} ${KERNELOPTS} ${GRUBLEGACYOPTS} alx-reset-settings" >> ${grubconf} || dialog_die  
  if is_initrd_supported  
  then  
  echo "initrd /boot/${KRNINITRD}" >> ${grubconf} || dialog_die  
  fi  
355    
356   # bootsector schreiben chrooted schreiben (lfs/magellan)   mode="$(dialog_setup_system_menu)"
357   cat > ${INSTALLROOT}/root/.installrc << CHROOTEOF   retval=$?
358  /usr/sbin/grub --no-floppy --batch << "EOF" 1> /dev/null 2> /dev/null   [[ ${retval} -eq 1 ]] && return 1
359  root (hd0,0)   if [[ ${retval} -eq 0 ]]
360  setup (hd0)   then
361  quit   case "${mode}" in
362  EOF   "1") run_install_auto ;;
363  exit 0   "2") run_install_normal ;;
364  CHROOTEOF   "") task_setup_system_menu;;
365     esac
366   fi   fi
   
  # run installrc  
  chrooted /bin/bash --rcfile /root/.installrc -i  
  rm ${INSTALLROOT}/root/.installrc  
367  }  }
368    
369  is_initrd_supported()  task_hardware_detection()
370  {  {
371   # only generate initrds if the cmd exists   local message
  [[ -x ${INSTALLROOT}/sbin/mkinitrd ]] && return 0  
  return 1  
 }  
372    
373  install_initrd_chroot()   run_hardware_detection_disks
 {  
  # only generate initrds if the cmd exists  
  is_initrd_supported || return 0  
374    
375   DISKMODS="sd_mod"   message+=$"Harddrives:\n"
  OLDPATAMODS="amd74xx piix sis5513 via82cxxx"  
  PATAMODS="ata_piix pata_amd pata_mpiix pata_oldpiix pata_sis pata_via"  
  SATAMODS="sata_via sata_sis sata_nv"  
  DRMMODS="i915 mga nouveau r128 radeon savage sis tdfx ttm via"  
  OTHERMODS=""  
  case ${SPECIALDEVICE} in  
  zotac_intel) FBMODS=""; DRMMODS="i915" ;;  
  zotac_nvidia) FBMODS=""; DRMMODS="nouveau" ;;  
  rangee) FBMODS="" ;; ## fallback to vesafb, viafb does not run on all CLE266 boards  
  # not working with kms enabled drivers -> segfaults  
  #maxdata) FBMODS="i810fb" ;; ## check for maxdata / i810/ i815 Chipsets and disable KMS and use i810fb frambuffer  
  maxdata) FBMODS="" ;;  
  *) FBMODS="uvesafb" ;;  
  esac  
376    
377   if [[ ${FORMFACTOR} = laptop ]]   if [[ ! -z ${ALL_DISKS} ]]
378   then   then
379   OTHERMODS="acpi-cpufreq cpufreq_ondemand cpufreq_conservative cpufreq_powersave"   for i in ${ALL_DISKS}
380     do
381     message+="\Z3${i}\Zn "
382     done
383     message+="\n"
384   fi   fi
385    
386   # install an appropriate uvesafb.conf   if [[ ! -z ${ALL_CDROMS} ]]
387   install -d ${INSTALLROOT}/etc/modprobe.d || dialog_die   then
388   echo "options uvesafb mode_option=1024x768-32@60 scroll=ywrap" > ${INSTALLROOT}/etc/modprobe.d/uvesafb.conf || dialog_die   message+="\n"
389     message+=$"Optical disk drives:\n"
390   # install an appropriate viafb.conf   for i in ${ALL_CDROMS}
391   echo "options viafb viafb_mode=1024x768 viafb_refresh=60" > ${INSTALLROOT}/etc/modprobe.d/viafb.conf || dialog_die   do
392     message+="\Z3${i}\Zn"
393   # install an appropriate i810fb.conf   done
394   echo "options i810fb xres=1024 yres=768 bpp=16 mtrr=1 hsync1=30 hsync2=62 vsync1=30 vsync2=60"  > ${INSTALLROOT}/etc/modprobe.d/i810fb.conf || dialog_die   message+="\n"
395     fi
396    
397   cat > ${INSTALLROOT}/root/.installrc << CHROOTEOF   # other devices
398  echo "MODULES=\"${FORMAT_FILESYSTEM} ${DISKMODS} ${OLDATAMODS} ${PATAMODS} ${SATAMODS} ${DRMMODS} ${FBMODS} ${OTHERMODS}\"" > /etc/conf.d/mkinitrd   run_hardware_detection
399  mkinitrd -f /boot/$(readlink /boot/initrd) $(readlink /boot/vmlinuz | sed "s:kernel-::g") > /dev/null   case "${SPECIALDEVICE}" in
400  exit 0   zotac*) message+=$"\n\Z2Zotac device detected.\Zn" ;;
401  CHROOTEOF   rangee) message+=$"\n\Z2Rangee device detected.\Zn" ;;
402     maxdata) message+=$"\n\Z2Maxdata device detected.\Zn" ;;
403     *) message+=$"\n\ZnCommon device detected.\Zn" ;;
404     esac
405     if [[ ${FORMFACTOR} = laptop ]]
406     then
407     message+=$"\n\ZnFormfactor Laptop, activating 'ondemand' powersaving mode.\Zn"
408     fi
409    
410   # run installrc   messagebox -y 12 -h $"Detected hardware:" "${message}"
  chrooted /bin/bash --rcfile /root/.installrc -i  
  rm ${INSTALLROOT}/root/.installrc  
411  }  }
412    
413  is_uuid_supported()  task_setup_hdd_partitions_manual()
414  {  {
415   if [[ -x $(type -P busybox.mkinitrd) ]]   local i
416     local retval
417    
418     if [[ -z ${ALL_DISKS} ]]
419   then   then
420   # only detect uuids if supported   dialog_no_harddrive_found
421   if [[ ! -z $(busybox.mkinitrd | grep blkid) ]]   exit 1
422     else
423     HDD=$(dialog_select_target_harddrive)
424     retval=$?
425     [[ ${retval} -eq 1 ]] && return 1
426     if [[ ${retval} -eq 0 ]]
427   then   then
428   return 0   dialog_setup_hdd_info
429     setup_hdd_partitions_manual
430   fi   fi
431   fi   fi
   
  return 1  
432  }  }
433    
434  install_system_settings()  task_setup_hdd_partitions_auto()
435  {  {
436   # schreibe fstab   local i
437   if is_uuid_supported   local retval
  then  
  echo -e "UUID=$(get_uuid ${ROOTHDD})\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die  
  else  
  echo -e "${ROOTHDD}\t/\t${FORMAT_FILESYSTEM}\tnoatime\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die  
  fi  
  # not needed busybox loads all with swapon -a, even if not mentioned in fstab  
  #echo -e "UUID='$(get_uuid ${SWAPHDD})'\tswap\tswap\tpri=1\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die  
  echo -e "proc\t/proc\tproc\tdefaults\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die  
  echo -e "shm\t/dev/shm\ttmpfs\tdefaults\t0 0" >> ${INSTALLROOT}/etc/fstab || dialog_die  
   
  # install network config skeleton  
  install -m0644 ${INSTALLROOT}/etc/alxconfig-ng/skel/net/net.eth0 ${INSTALLROOT}/etc/conf.d/ || dialog_die  
438    
439   # intel framebufer quirk   if [[ -z ${ALL_DISKS} ]]
  if [[ -e /proc/fb ]]  
440   then   then
441   if [[ ! -z $(grep 'inteldrmfb' /proc/fb) ]]   dialog_no_harddrive_found
442     exit 1
443     else
444     HDD=$(dialog_select_target_harddrive)
445     retval=$?
446     [[ ${retval} -eq 1 ]] && return 1
447     if [[ ${retval} -eq 0 ]]
448   then   then
449   fbdev=$(grep 'inteldrmfb' /proc/fb | sed 's:\([0-9]\).*:\1:')   dialog_setup_hdd_info_auto
450   if [[ ${fbdev} != 0 ]]   dialog_setup_hdd_create_partitions
451   then   setup_hdd_partitions_auto
  sed -i "s:^\(SPLASH_DEV=\).*:\1\"/dev/fb${fbdev}\":" ${INSTALLROOT}/etc/splash/splash.conf || dialog_die  
  fi  
452   fi   fi
453   fi   fi
454  }  }
455    
456  install_umount_rootfs()  task_main()
457  {  {
458   is_mounted --location ${INSTALLROOT}/boot && umount ${INSTALLROOT}/boot   local method=0
459   is_mounted --location ${INSTALLROOT} && umount ${INSTALLROOT}   local retval
 }  
460    
461  install_do_reboot()   while [[ ${method} -le 2 ]]
462  {   do
463   reboot   method=$(dialog_main)
464     retval=$?
465     [[ ${retval} -eq 1 ]] && exit 1
466     if [[ ${retval} -eq 0 ]]
467     then
468     case ${method} in
469     "1") task_setup_system_menu ;;
470     "2") task_hardware_detection ;;
471     "3") install_do_reboot ;;
472     "4") /bin/bash --login -i ;;
473     esac
474     fi
475     done
476  }  }
477    
 #################################################  
 #     Install Ablauf Scripte #  
 #################################################  
   
478  run_install_normal()  run_install_normal()
479  {  {
480   dialog_hardware_detection   task_hardware_detection
481    
482   dialog_setup_hdd_partitions_manual   task_setup_hdd_partitions_manual
483   dialog_setup_hdd_format   dialog_setup_hdd_format
484   setup_hdd_format > /dev/null   setup_hdd_format > /dev/null
485   install_mount_rootfs   install_mount_rootfs
# Line 701  run_install_normal() Line 488  run_install_normal()
488   dialog_install_settings   dialog_install_settings
489   sleep 1   sleep 1
490   install_system_settings   install_system_settings
491   dialog_install_initrd   if is_initrd_supported
492   install_initrd_chroot   then
493     dialog_install_initrd
494     initrd_config
495     initrd_install
496     fi
497    
498   dialog_install_bootsector   dialog_install_bootsector
499   install_bootsector_chroot   bootloader_config
500     bootloader_install
501    
502   install_umount_rootfs   install_umount_rootfs
503   dialog_install_successful   dialog_install_successful
# Line 713  run_install_normal() Line 505  run_install_normal()
505    
506  run_install_auto()  run_install_auto()
507  {  {
508   dialog_hardware_detection   task_hardware_detection
509    
510   dialog_setup_hdd_partitions_auto   task_setup_hdd_partitions_auto
511   dialog_setup_hdd_format   dialog_setup_hdd_format
512   setup_hdd_format > /dev/null   setup_hdd_format > /dev/null
513   install_mount_rootfs   install_mount_rootfs
# Line 724  run_install_auto() Line 516  run_install_auto()
516   dialog_install_settings   dialog_install_settings
517   sleep 1   sleep 1
518   install_system_settings   install_system_settings
519   dialog_install_initrd   if is_initrd_supported
520   install_initrd_chroot   then
521     dialog_install_initrd
522     initrd_config
523     initrd_install
524     fi
525    
526   dialog_install_bootsector   dialog_install_bootsector
527   install_bootsector_chroot   bootloader_config
528     bootloader_install
529    
530   install_umount_rootfs   install_umount_rootfs
531   dialog_install_successful   dialog_install_successful
# Line 737  run_install_auto() Line 534  run_install_auto()
534  # set some proper traps  # set some proper traps
535  trap "trap_exit" SIGINT SIGQUIT  trap "trap_exit" SIGINT SIGQUIT
536    
537  dialog_main  task_main
538    
539  exit 0  exit 0

Legend:
Removed from v.2438  
changed lines
  Added in v.2484